## kernel-package 7.04.potato.3

=== debian/changelog ===
kernel-package (7.04.potato.3) frozen; urgency=low
  * Cleaned up the postinst some more; make sure that we always know which
    directory we are in.
  * Use absolute paths for the kernel image files real location, os we can
    manipulate stuff independent of the current working directory. Either
    one of these would fix the problem that Igor Mozetic
    <igor.mozetic@uni-mb.si> has reported.
  * Fixed the rules file to corect the misapplied patch for pmac. This
    fixes a grave bug. closes: Bug#63559

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 May 2000 16:00:25 -0500

kernel-package (7.04.potato.2) frozen; urgency=low

  * Fix the README to talk about no_symlinks, and not no_symlink. This
    closes: Bug#63606
  * Added a check in the makefloppy routine to make sure the image we are
    trying to write exists. This fixes Bug 63558
  * Capture the stderr too when testing the bootloaders. This closes: Bug#63599
  * Fixed PPC setup to handle new powermacs. This was a (grave) RC bug. 
    closes: Bug#63559
  * Added checks and guards to ensue that 63558 would be caught and more
    information provided. Insufficient data as yet to figure out what is
    causing it. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 May 2000 12:07:11 -0500

kernel-package (7.04.potato.1) frozen; urgency=low

  * Back ported some woody fixes to potato. Namely:
  * Make the source package suggest task-tcltk-dev, rather than tk-dev,
    since the latter is no longer provided by modern packages (apparently
    it was not meant to be a publically used virtual package)
  * Make sure we ignore leading and trailing spaces in the value of the
    HOSTCC and CC env variables. 
  * Changed the default version number from 1.00. to Custom.1.00
  
 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2000 16:38:33 -0500

kernel-package (7.04) frozen unstable; urgency=low

  * Make sure that version specific kernel-patch subdirectories are
    supported for the all directory as well (they were supported for arch
    specific patches already). closes: Bug#61915
  * Fixed misplaced backslash (it was one char off)  - bad if a patch
    changes the location the kernel will search for its modules!  This is
    RC for powerpc kernel images. closes: Bug#62015

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  9 Apr 2000 13:05:07 -0500

kernel-package (7.03) frozen unstable; urgency=low

  * Aaargh. A single space got inserted into thepostinst after my
    testing. I was just adding comments, I swear. I'll not add anything
    after the test, I promise. "$_/$loader_exec " => "$_/$loader_exec".  
    This fixes an important bug, which caused lilo not to be run on
    installing the kernel image. closes: Bug#61646

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  3 Apr 2000 11:16:06 -0500

kernel-package (7.02) frozen unstable; urgency=low

  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils. This prevents a failure to install
    when upgrading from slink. 
  * Added a simple check on upppercase chars in the version
    string. closes: Bug#61213
  * Made the dependency in kernel-source packagesbe for libncurses-dev |
    ncurses-dev, since the latter is being phased out. This is an
    important fix.
  * The changes added in 7.00 are required to be in potato. The changes
    were: Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Mar 2000 10:19:28 -0600

kernel-package (7.01) unstable; urgency=low

  * Added more documentation to the install time configuration file
    kernel-img.conf.5. Modified the image postinst to be more lax in
    parsing configuration options

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 10:37:46 -0600

kernel-package (7.00) unstable; urgency=low

  * Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).
  * On user request, do not fail to make symbolic links in / merely
    because the system does not ahve the default bootloader installed --
    people are using alternative boot loaders out there. Instead there is
    a config file that can provide the answer -- oif the config file does
    not exists, the postinst asks the user, and creates the config file. 
    closes: Bug#60693
  
 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 00:43:09 -0600

kernel-package (6.42) unstable; urgency=low

  * Fixed suggests line to accept either libncurses-dev or
    ncurses-dev. The latter is obsolete, and present for backwards
    compatibility. closes: Bug#57077

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 09:14:00 -0600

kernel-package (6.41) unstable; urgency=low

  * Added the version number of the kernel to both the short and the long
    description, to help people decide what packages are installed and
    which new ones they may wish to install. 
  * Make sure one uses absolute symlinks where required, when creating
    /usr/doc symlinks
  * Do not make symlinks in / if the boot loader is not in the path. 
    closes: Bug#60413

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 01:00:02 -0600

kernel-package (6.40) frozen unstable; urgency=low

  * Path up modules_install in the kernel_image target to include some new
    module categories in 2.3.XX kernels. In order that this does not, in
    the futire, inconvenience people, use the kernel Makefile to install
    modules when we can. The cases we can't use the kernel makefile is for
    2.0.XX and older kernels (since the prefix to modlib was not present
    then). closes: Bug#59516
  * Fixed some typos. closes: Bug#59528

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Mar 2000 09:55:47 -0600

kernel-package (6.39) frozen unstable; urgency=low



=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.0.1.0

Package: kernel-package
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian 
 kernel-image package by just running make-kpkg kernel_image in a
 kernel source directory tree.  It can also build the kernel source
 package as a debian file, the kernel headers package. In general, this 
 package is very useful if you need to create a custom kernel, if, for 
 example, the default kernel does not support some of your hardware, or
 you wish a leaner, meaner kernel.
 .
 If you are running on an intel x86 platform, and you wish to compile a
 custom kernel (why else are you considering this package?), then you may
 need the package bin86 as well.  (This is not required on other platforms).
Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
Recommends: libc-dev, gcc, debianutils, make
Suggests: kernel-source
Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Mar 21 01:02:08 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 127
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

#    $Id: rules,v 1.23 2000/03/21 07:04:44 srivasta Exp $


# Please change the maintainer information, as well as the debian version
# below, (and maybe the priority as well, espescially if you are uploading
# an official package)

# The maintainer information.
maintainer := Manoj Srivastava
email := srivasta@debian.org

# Priority of this version (or urgency, as dchanges would call it)
priority := Low
#  Package specific stuff

# The name of the package (for example, `emacs').
package = kernel-package
version := $(shell perl -n0777e 'if ($$. == 1 && m/\(([\S]+)\)/o){print "$$1\n";}' debian/changelog)


FILES_TO_CLEAN  = debian/files
STAMPS_TO_CLEAN = stamp-binary
DIRS_TO_CLEAN   =

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

# Location of the source dir
SRCTOP     := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
# where kernel-package files go to
DEBDIR     := $(LIBLOC)
DEBDIR_NAME:= $(shell basename $(DEBDIR))

DOCDIR  = debian/tmp/usr/share/doc/$(package)
MAN1DIR = debian/tmp/usr/share/man/man1
MAN5DIR = debian/tmp/usr/share/man/man5
MAN8DIR = debian/tmp/usr/share/man/man8

# install commands
install_file=    install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory=  install -p -d -o root -g root -m 755


all build:
# Builds the binary package.

clean:
	rm -f $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -f -r debian/tmp
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-arch: build
# builds the architecture dependent part

binary-indep: build stamp-binary

stamp-binary:
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	rm -rf debian/tmp  debian/tmp.deb
	$(make_directory)  debian/tmp/DEBIAN
	$(make_directory)  debian/tmp/etc
	$(make_directory)  debian/tmp/usr/bin
	$(make_directory)  debian/tmp/usr/sbin
	$(make_directory)  debian/tmp/usr/share/$(package)
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/conffiles debian/tmp/DEBIAN/conffiles
	$(install_program) debian/postinst debian/tmp/DEBIAN/postinst
	$(install_program) debian/prerm debian/tmp/DEBIAN/prerm
	$(install_file)    debian/changelog $(DOCDIR)/changelog
	$(install_file)    README $(DOCDIR)/README
	$(install_file)    kernel/Flavours $(DOCDIR)/Flavours
	$(install_file)    Problems $(DOCDIR)/Problems
	$(install_file)    Multi-Arch $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  $(MAN8DIR)/
	gzip -9fqr         debian/tmp/usr/share/man
	$(install_file)    kernel-pkg.conf debian/tmp/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           debian/tmp/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg debian/tmp/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(SRCTOP)/debian/tmp/usr/share/$(package);\
                           tar xf -))
	$(install_file)    Rationale $(SRCTOP)/debian/tmp/usr/share/$(package)/
	# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(SRCTOP)/debian/tmp/usr/share/$(package)/rules
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	dpkg --build       debian/tmp ..
	touch              stamp-binary

define checkdir
        test -f  make-kpkg -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean

## kernel-package 7.107

=== debian/changelog ===
kernel-package (7.107) unstable; urgency=low

  *  marks debian as phony and removes it from stamp-* dependencies where
    stamp-debian is used instead. Thanks to Herbert Xu for the patch.
                                                             closes: Bug#142773

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Apr 2002 11:52:46 -0500

kernel-package (7.106) unstable; urgency=medium

  * Only move initrd symlinks when we move image symlinks.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 21:11:28 -0500

kernel-package (7.105) unstable; urgency=medium

  * Fixed various typos in the kernel-doc package descriptions. 
                                                             closes: Bug#140709
  * Changed the bash complewtions function name.             closes: Bug#142492
  * Fixed a last check to aid cross compilation              closes: Bug#142044
  * Fixed a bunch of typos in diagnostics.                   closes: Bug#142234
  * Really remove dangling symlinks on purge.                closes: Bug#141483
  * Only move image symlinks around if we are not being upgraded. Thaks to
    Herbert Xu for suggesting this.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 15:02:14 -0500

kernel-package (7.104) unstable; urgency=low

  * Fix the rules file to short circuit a twisty set of confusing
    dependencies for configuration related targets.  The bug it closes
    used an non-standard build method (--rootcmd fakeroot is how I do it),
    but it used to work before, and it should do so again. Hopefully
    nothing else broke.                                      closes: Bug#140455

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 29 Mar 2002 09:59:40 -0600

kernel-package (7.103) unstable; urgency=low

  * Added the potential value AUTO for PATCH_THE_KERNEL, which is useful
    when you want the patches applied whenever you set
    --applied-patches. One would not want to set the variable to YES,
    since that would apply all patches willy nilly when you did not use
    the --applied-pacthes option.                            closes: Bug#140047

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Mar 2002 21:23:49 -0600

kernel-package (7.102) unstable; urgency=low

  * revert the last change, since rebuilding the kernel-image may well be
    too onerous. Also, this may not actually fix 39276. closes: Bug#139606
    BTW, I don't think this was important, this is merely a normal bug. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Mar 2002 11:30:38 -0600

kernel-package (7.101) unstable; urgency=low

  * It is supposed to be $(filter-out), not $(filler-out).   closes: Bug#139272
  * Hmm. Make the modules tarhet depend on stamp-image, so make knows not
    to try and build the modules packages is the kernel-image build
    fails. It does mean though that you need a stamp-image file in the
    diretory in order to build the modules -- not a biggie since building
    modules fails anyway                                     closes: Bug#139276
  
 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Mar 2002 09:52:23 -0600

kernel-package (7.100) unstable; urgency=low

  * Hmm. There was a bug report that said kernel-package does not call
    make correctly when concurrency is set; however, this happens to be a
    mischaracterization. The top level make call a recursive make: $(MAKE)
    -j2; the level 2 make then calls another sub make, and the level 3
    make spits out the error that it is running with -j1, as documneted. I
    have cleaned up soe of the rules involved to get greater transparency
    in the phenomena. Also, remove benign warning about not finding the
    MODULES_LOC dir.                                         closes: Bug#139132
  * Make the bash completions file go in the right place.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Mar 2002 23:11:59 -0600

kernel-package (7.99) unstable; urgency=high

  * The last fix broke kernel-package.                       closes: Bug#138684

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 23:25:26 -0600

kernel-package (7.98) unstable; urgency=low

  * Changed a potentially confusing postinst message.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 11:19:02 -0600

kernel-package (7.97) unstable; urgency=low

  * Don't issue a boot block warning if we are not installing a boot
    loader.                                                  closes: Bug#138534
  * Thanks to "Dr. Rafael Sepulveda" <drs@gnulinux.org.mx>, we havce a
    bash completions file for make-kpkg.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 01:38:48 -0600

kernel-package (7.96) unstable; urgency=low

  * Support labels in /etc/fstab. closes: Bug#121127, Bug#136949

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Mar 2002 14:53:47 -0600

kernel-package (7.95) unstable; urgency=low

  * Added an undocumented feature: if ./debian/post-install exists, it
    shall be executed during the image build process. This allows people
    (well, this is designed for kernel-image maintainers) to hack the
    package before dpkg-* are called.                        closes: Bug#136735
  * Fixed missed up $(DEB_BUILD_ARCH) -> $(DEB_HOST_ARCH)    closes" Bug#136738

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  4 Mar 2002 16:42:12 -0600

kernel-package (7.94) unstable; urgency=low

  * bumped the default version.                              closes: Bug#136432

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Mar 2002 12:09:00 -0600

kernel-package (7.93) unstable; urgency=low

  * Kernel-package currently has no proper bootloader handling for
    mipsel. This patch, provided by (a modification by the origina;l
    written by Guido Guenther <agx@debian.org>) Karsten Merker
    <karsten@excalibur.cologne.de>, adds this capability.    closes: Bug#136331

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 Mar 2002 11:56:50 -0600

kernel-package (7.92) unstable; urgency=low



=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.5.5.0

Package: kernel-package
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian kernel-image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
 .
 If you are running on an intel x86 platform, and you wish to compile a
 custom kernel (why else are you considering this package?), then you may
 need the package bin86 as well.  (This is not required on other platforms).
Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
Recommends: libc-dev, gcc, debianutils, make
Suggests: kernel-source, libdb3-dev, libncurses-dev
Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Mar 19 23:19:51 2002
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 136
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)


#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

#    $Id: rules,v 1.34 2002/03/20 05:19:56 srivasta Exp $


# Please change the maintainer information, as well as the debian version
# below, (and maybe the priority as well, espescially if you are uploading
# an official package)

# The maintainer information.
maintainer := Manoj Srivastava
email := srivasta@debian.org

# Priority of this version (or urgency, as dchanges would call it)
priority := Low
#  Package specific stuff

# The name of the package (for example, `emacs').
package = kernel-package
version := $(shell perl -n0777e 'if ($$. == 1 && m/\(([\S]+)\)/o){print "$$1\n";}' debian/changelog)


FILES_TO_CLEAN  = debian/files
STAMPS_TO_CLEAN = stamp-binary
DIRS_TO_CLEAN   =

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.doc README.headers README.image README.modules \
           README.source README.tecra sample.kernel-img.conf \
           kernel_grub_conf.sh

# Location of the source dir
SRCTOP     := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
TMPTOP    = $(SRCTOP)/debian/tmp
# where kernel-package files go to
DEBDIR     := $(LIBLOC)
DEBDIR_NAME:= $(shell basename $(DEBDIR))

DOCDIR  = $(TMPTOP)/usr/share/doc/$(package)
MAN1DIR = $(TMPTOP)/usr/share/man/man1
MAN5DIR = $(TMPTOP)/usr/share/man/man5
MAN8DIR = $(TMPTOP)/usr/share/man/man8
LINTIANDIR:= $(TMPTOP)/usr/share/lintian/overrides
BASH_DIR:= $(TMPTOP)/etc/bash_completion.d
# install commands
install_file=    install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory=  install -p -d -o root -g root -m 755


all build:
# Builds the binary package.

clean:
	rm -f $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -f -r $(TMPTOP)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-arch: build
# builds the architecture dependent part

binary-indep: build stamp-binary

stamp-binary:
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	rm -rf $(TMPTOP)  $(TMPTOP).deb
	$(make_directory)  $(TMPTOP)/DEBIAN
	$(make_directory)  $(TMPTOP)/etc
	$(make_directory)  $(TMPTOP)/usr/bin
	$(make_directory)  $(TMPTOP)/usr/sbin
	$(make_directory)  $(TMPTOP)/usr/share/$(package)
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(DOCDIR)
	$(make_directory)  $(LINTIANDIR)
	$(make_directory)  $(BASH_DIR)
	$(install_file)    debian/conffiles $(TMPTOP)/DEBIAN/conffiles
	$(install_program) debian/postinst $(TMPTOP)/DEBIAN/postinst
	$(install_program) debian/prerm $(TMPTOP)/DEBIAN/prerm
	$(install_file)    debian/changelog $(DOCDIR)/changelog
	$(install_file)    README $(DOCDIR)/README
	$(install_file)    kernel/Flavours $(DOCDIR)/Flavours
	$(install_file)    Problems $(DOCDIR)/Problems
	$(install_file)    _make-kpkg $(BASH_DIR)/make_kpkg
	$(install_file)    Multi-Arch $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do \
                            ln -s ../../kernel-package/$$file $$file; \
                           done)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  $(MAN8DIR)/
	gzip -9fqr         $(TMPTOP)/usr/share/man
	echo              'kernel-package: postinst-does-not-set-usr-doc-link'\
                           > $(LINTIANDIR)/$(package)
	$(install_file)    kernel-pkg.conf $(TMPTOP)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           $(TMPTOP)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg $(TMPTOP)/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(TMPTOP)/usr/share/$(package);\
                           tar xf -))
	$(install_file)    Rationale $(TMPTOP)/usr/share/$(package)/
	# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(TMPTOP)/usr/share/$(package)/rules
	dpkg-gencontrol -isp
	chown -R root.root $(TMPTOP)
	dpkg --build       $(TMPTOP) ..
	touch              stamp-binary

define checkdir
        test -f  make-kpkg -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean

## kernel-package 8.083

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Mon Feb 16 18:19:45 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 19
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.doc README.headers README.image README.modules \
           README.source README.tecra sample.kernel-img.conf \
           kernel_grub_conf.sh sample.posthook.sh


# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all build: check

check:
	perl -wc make-kpkg
	perl -wc kernel/image.preinst
	perl -wc kernel/image.postinst
	perl -wc kernel/image.postrm
	perl -wc kernel/image.prerm
	perl -wc kernel/include.postinst
	bash -n kernel/kernel_grub_conf.sh
	bash -n kernel/kernel_grub_rm.sh
	bash -n kernel/sample.posthook.sh

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(DOCDIR)
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)
	$(install_file)    debian/changelog             $(DOCDIR)/changelog
	$(install_file)    README                       $(DOCDIR)/README
	$(install_file)    kernel/Flavours              $(DOCDIR)/Flavours
	$(install_file)    kernel/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                     $(DOCDIR)/Problems
	$(install_file)    _make-kpkg                   $(BASH_DIR)/make_kpkg
	$(install_file)    Multi-Arch                   $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                    $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do \
                            ln -s ../../$(package)/$$file $$file; \
                           done)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  	   $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5 	   $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5 	   $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5  	   $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8       	   $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8     \
                                                     $(ES_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg $(prefix)/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(prefix)/usr/share/$(package); umask 000;\
                           tar xpf -))
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 | \
           xargs -0r rm -rf
	$(install_file)    Rationale $(prefix)/usr/share/$(package)/
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	@echo nothing to do for clean

=== debian/changelog ===
kernel-package (8.083) unstable; urgency=low

  * Bug fix: "kernel-source-2.4.25: Configure error prevents
    installation", thanks to Bruce Miller. Do not try to change the
    include/asm symlinks for source and doc packages, since we do not own
    that dir. Only the headers package ought to be doing that.
                                                         (Closes: #235706).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven
    Luther. Accomodate the official powerpc kernel images to not prompt
    even on initial install when /lib/modules/$version/ already
    exists. This allows the separation of the modules from the kernel
    image, since different powerpc subarches all require different images,
    but can  share the modules.                           (Closes: #230251).
  * Bug fix: "kernel-package: avoid silent failure when out of space",
    thanks to dann frazier. I skiimed the rules file for other examples of
    this ilk, but I think a real clean up would have to wait until we break
    up the Makefile post Sarge.                           (Closes: #234316).
  * Bug fix: "kernel-package: should include the changelog from
    kernel-source-xx", thanks to Christoph Martin. Hmm. Create a file
    called Changelog.src.Debian in hte top of the tarball that we create
    for kernel-source-X.XX packages. Subsequently, when creating image
    packages, if that file exists, copy it into the doc dir for the
    kernel-image packages, and compress it.                (Closes: #234908).
  * Updated spanish man pages.
  * Bug fix: "kernel-package: Typo in documentation intrd",
    thanks to Andreas Metzler                              (Closes: #235421).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Mar 2004 23:14:27 -0600

kernel-package (8.082) unstable; urgency=low

  * Bug fix: "Add amd64 support to kernel-package", thanks to Stephen
    Frost                                               (Closes: #233252).
  * Bug fix: "kernel-image: postrm doesnt remove dangling initrd.img
    symlink", thanks to Mario 'BitKoenig' Holbe         (Closes: #233243).
  * Add a note in the man page that the clean target should not be cobined
    with other targets. 
  * Bug fix: "/usr/bin/make-kpkg:make-kpkg --rootcmd=fakeroot clean
    kernel_image after patching sources doesn't work", thanks to
    Amit Shah. Since this is now documented, I am closing this report.
                                                          (Closes: #233478).
  * Bug fix: "kernel-package: Grub install scripts broken", thanks to
    Roland Mas                                            (Closes: #233585).
  * Make the sample posthook script executable, to shut up lintian
  * Bug fix: "confusing comments in kernel-img.conf", thanks to Jamie
    Heilman                                               (Closes: #233184).
  * Bug fix: "misspellings", thanks to Matt Kraai         (Closes: #233132).
  * Bug fix: "kernel-package: --append-to-version and modules_image don't
    get along", thanks to Daniel Jacobowitz. Starting with kernel version
    2.6.X, the build process for third party modules has been modified;
    now modules are expected to build in hte kenrel sources dir, and you
    set the SUBDIR arg to point to the source for the module itself. This
    arranges for the kernel makefiles to do all the boilerplate work of
    building/running modpost, dependencies, et cetera. The problem is that
    unless the module passes in the same  EXTRAVERSION=XYZ argument that
    the main kernel build process did,  include/linux/version.h shall be
    regenerated, with a different value  now than when the kernel was
    compiled. The only way to avoid this is to make sure the module passes
    EXTRAVERSION also; the 2.6 kernel makefile is very enthusiastic about
    making sure version.h is up to  date. So, make-kpkg now passes a new
    parameter, KPKG_EXTRAV_ARG, to the module; the value is either empty,
    or a string like "EXTRAVERSION=X.Y.Z". The idea is that you can call
    $(MAKE) $(KPKG_EXTRAV_ARG) ... in the modules package and have the
    same version.h info as the main kernel image does.  (Closes: #233152).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Feb 2004 18:12:45 -0600

kernel-package (8.081) unstable; urgency=low

  * Fixed top level makefile to make it usable stand alone
  * Bug fix: "/usr/bin/make-kpkg: Minor warning message", thanks to Andrew
    Ferrier                                               (Closes: #231902).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                       (Closes: #232007).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 18:47:09 -0600

kernel-package (8.080) unstable; urgency=low

  * Bug fix: "debian.README.gz out of date", thanks to Thomas Hood. Now
    mention linux-kerel-headers under the new method section.
                                                        (Closes: #230083).
  * Bug fix: "kernel-package: several typos", thanks to Jochen Voss
                                                        (Closes: #227191).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                     (Closes: #227898).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven Luther
                                                        (Closes: #230251).
  * Bug fix: "manpage: hint how to select the compiler used", thanks to
    Jens Thiele \(karme\)                               (Closes: #230272).
  * Bug fix: "kernel-package: trivial change for sparc", thanks to Ben
    Collins.                                            (Closes: #230288).
  * Bug fix: "kernel-package: Typo in kernel-pkg.conf: "espescially"


=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.5.0
+Standards-Version: 3.6.1.0
 
 Package: kernel-package
-Description: Debian Linux kernel package build scripts.
+Description: A utility for building Linux kernel related Debian packages.
  This package provides the capability to create a debian kernel-image
  package by just running make-kpkg kernel_image in a kernel source
  directory tree.  It can also package the relevant kernel headers into
@@ -21,7 +21,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
-Recommends: libc-dev, gcc, debianutils, make
-Suggests: kernel-source, libdb3-dev, libncurses-dev
+Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
+Recommends: libc-dev
+Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all

## kernel-package 8.091.0ubuntu4

=== debian/changelog ===
kernel-package (8.091.0ubuntu4) warty; urgency=low

  * [kernel/image.postinst] When generating a new initrd, create it in a
    temporary file and then move it into place only if mkinitrd succeeds
  * [kernel/image.postinst] Remove scary depmod warning

 -- Matt Zimmerman <mdz@canonical.com>  Wed, 29 Sep 2004 18:41:31 -0700

kernel-package (8.091.0ubuntu3) warty; urgency=low

  * Fixed stem in README.source.

 -- Herbert Xu <herbert@gondor.apana.org.au>  Sat, 25 Sep 2004 19:39:23 +1000

kernel-package (8.091.0ubuntu2) warty; urgency=low

  * Guess pmac subarch on powerpc if "Mac" is in the machine line of
    /proc/cpuinfo (as well as "Power" or "iMac").

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 20:36:01 +0100

kernel-package (8.091.0ubuntu1) warty; urgency=low

  * Added alternative package stem (linux-*) support.

 -- Herbert Xu <herbert@gondor.apana.org.au>  Sat, 21 Aug 2004 14:32:08 +1000

kernel-package (8.091) unstable; urgency=low

  * Bug fix: "kernel-package: comment typo", thanks to dann frazier
                                                      (Closes: #252016).
  * Bug fix: "kernel-package: revision seems to be ignored when set in
    /etc/kernel-pkg.conf", thanks to Greg Norris      (Closes: #254488).
  * Bug fix: "kernel-package: Behaviour does not seem to follow
    documentation on some points", thanks to Adam C. Emerson
                                                      (Closes: #251548).
  * Bug fix: "Typo in real_stamp_source target prevents README.Debian
    installation", thanks to Jens Schmalzing          (Closes: #255372).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 01:53:07 -0500

kernel-package (8.090) unstable; urgency=low

  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler                 (Closes: #245800).
  * kernel-source-2.4.26_2.4.26-2(unstable): FTBFS: syntax error. Removed
    spurious close paren.                                (Closes: #247600).
  * Bug fix: "kernel-package: Improper test for non-modules targets when
    checking build dir", thanks to Kevin McCarty          (Closes: #247540).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  6 May 2004 18:46:05 -0500

kernel-package (8.089) unstable; urgency=low

  * make kernel-package not stop if the revision contains a hypen unless
    the said revision fails to meet policy. 
  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler. I modified the patch, and only
    trigger the Kconfig collection for post 2.5 kernels. (Closes: #245800).
  * Bug fix: "/usr/bin/make-kpkg: make-kpkg: Typo in failure message",
    thanks to Goswin Brederlow                           (Closes: #245482).
  * Fixed a few over zealous escapes of hyphens in the make-kpkg man page.
  * Bug fix: "Support for bare vmlinux", thanks to Nicolas George. Use the
    configuration option install_vmlinux to additionally install the bare
    vmlinux image as well as the default image          (Closes: #243927).


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 15:32:11 -0500

kernel-package (8.088) unstable; urgency=low

  * Bug fix: "New kernel-package fails to build kernel", thanks to Roberto
    Sanchez. Oh, sheez: forgot to escape a $ from make in a shell command.
                                                           (Closes: #245010).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 20:47:00 -0500

kernel-package (8.087) unstable; urgency=low

  * Bug fix: "Bug#244380: kernel-package: Unescaped dashes in manpage
    break copy and paste", thanks to Andreas Metzler Also fixed the
    spanish man pages, since this is merely about behaviour of man
                                                     (Closes: #244380).
  * Bug fix: "kernel-package: ignore_depmod_error is ignore_depmod_err",
    thanks to Marc Haber                              (Closes: #243526).
  * Bug fix: "kernel-package: UTS Release version does not match current
    version", thanks to YuLei                          (Closes: #243896).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 17:35:30 -0500

kernel-package (8.086) unstable; urgency=low

  * Bug fix: "kernel-package: &gt;=2.6.5 make clean removes version.h,
    modules_image fails", thanks to Ralf Neubauer. At this point, the
    automated cleaning of the build tree causes more problems than it
    solves -- at the very least, it violates the principle of least
    surprise. The do_cloean mechanism still exists for people who want to
    have the sources cleaned, but from now on, the default is not to clean
    the sources out.                                     (Closes: #242038). 

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 11:40:11 -0500

kernel-package (8.085) unstable; urgency=low

  * Fixed missing ;'s. Thanks to Radek Hnilica <Radek@hnilica.cz> and J G
    Miller <miller@yoyo.org> for noticing this.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Apr 2004 10:44:00 -0600

kernel-package (8.084) unstable; urgency=low

  * Warn if module doesn't like the fact that it isn't being build as root
    and it is ignoring the --roocmd extension, and ask users to file a
    bug. 
  * Delete dangling build links when asked to, even if there is no
    replacement handy.
  * Bug fix: "kernel-package: Typo in Problems.gz", thanks to LT-P
                                                          (Closes: #238983).
  * Bug fix: "changelog should be called changelog.Debian", thanks to
    Martin Michlmayr                                      (Closes: #238425).
  * Bug fix: "kernel-package - don't recognize s390x", thanks to Bastian
    Blank                                                 (Closes: #232711).
  * Updated spanish manual pages.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 00:12:20 -0600
